<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-header](./foundation-header.md) &gt; [Navigation](./foundation-header.navigation.md) &gt; [navigateTo](./foundation-header.navigation.navigateto.md)

## Navigation.navigateTo() method

Changes the route of the current page

**Signature:**

```typescript
navigateTo(path: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  path | string | string represeting the new route to move to |

**Returns:**

void

## Remarks

Requires setup of the Router and usage of the FAST Router

